Roles
Get the default postgres role
Authorization
A service token or OAuth token must have at least one of the following access or scopes in order to use this API endpoint:
Service Token Accesses
read_branch, delete_branch, create_branch, connect_production_branch, connect_production_read_only_branch, connect_branch
OAuth Scopes
| Resource | Scopes |
|---|---|
| Organization | manage_passwords, manage_production_branch_passwords, manage_read_only_passwords, manage_production_read_only_passwords |
| Database | manage_passwords, manage_production_branch_passwords, manage_read_only_passwords, manage_production_read_only_passwords |
| Branch | manage_passwords, manage_read_only_passwords |
GET
Get the default postgres role
Authorizations
Path Parameters
Response
Returns the default postgres role
Database roles these credentials inherit
Available options:
pg_checkpoint, pg_create_subscription, pg_maintain, pg_monitor, pg_read_all_data, pg_read_all_settings, pg_read_all_stats, pg_signal_backend, pg_stat_scan_tables, pg_use_reserved_connections, pg_write_all_data, postgres 
